Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation
Class CurrentConversationInfo

    java.lang.Object
      org.apache.myfaces.orchestra.conversation.CurrentConversationInfo

All Implemented Interfaces:
  java.io.Serializable

    public class CurrentConversationInfo

extends java.lang.Object
implements java.io.Serializable

Provide information about the current conversation.

An instance of this type is stored in a thread-local variable to indicate what the "current conversation state" is. The getConversation() method can therefore be used to determine what conversation is currently active, and getBeanName() can be used to determine what the most recently-invoked conversation-scoped-bean was. This thread-local variable is maintained via the CurrentConversationAdvice which wraps every conversation-scoped bean and intercepts all method calls to the bean.

This object also records the fact that a specific bean is within a specific conversation. This data is saved during serialization so that on deserialize we know which conversation to reattach which bean to./

See Also:
  Serialized Form

Constructor Summary
`CurrentConversationInfo(Conversation conversation, java.lang.String beanName)`

Method Summary
`java.lang.String` | `getBeanName()` The bean name.
`Conversation` | `getConversation()` The conversation the bean is associated with.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrentConversationInfo

    public CurrentConversationInfo(Conversation conversation,
                                   java.lang.String beanName)

Method Detail

### getConversation

    public Conversation getConversation()

  The conversation the bean is associated with.

### getBeanName

    public java.lang.String getBeanName()

  The bean name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.